> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vers.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiv1commits



## OpenAPI

````yaml /api-reference/openapi.json patch /api/v1/commits/{commit_id}
openapi: 3.1.0
info:
  title: Orchestrator Control Plane API
  description: ''
  license:
    name: ''
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/commits/{commit_id}:
    patch:
      tags:
        - commits
      operationId: update_commit
      parameters:
        - name: commit_id
          in: path
          description: The commit ID
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCommitRequest'
        required: true
      responses:
        '200':
          description: Commit updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommitInfo'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Commit not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    UpdateCommitRequest:
      type: object
      description: Request body for PATCH /commits/{commit_id}
      required:
        - is_public
      properties:
        description:
          type:
            - string
            - 'null'
          description: Optional description for the commit.
        is_public:
          type: boolean
        name:
          type:
            - string
            - 'null'
          description: Optional human-readable name for the commit.
    CommitInfo:
      type: object
      required:
        - commit_id
        - owner_id
        - name
        - created_at
        - is_public
      properties:
        commit_id:
          type: string
        created_at:
          type: string
        description:
          type:
            - string
            - 'null'
        grandparent_commit_id:
          type:
            - string
            - 'null'
        is_public:
          type: boolean
        name:
          type: string
        owner_id:
          type: string
        parent_vm_id:
          type:
            - string
            - 'null'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Reason of error
        success:
          type: boolean
          description: 'Is always: false'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: Token

````